summaryrefslogtreecommitdiffstats
path: root/system/fio/fio.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/fio/fio.SlackBuild')
-rw-r--r--system/fio/fio.SlackBuild17
1 files changed, 12 insertions, 5 deletions
diff --git a/system/fio/fio.SlackBuild b/system/fio/fio.SlackBuild
index 80911402e3..aac38f069e 100644
--- a/system/fio/fio.SlackBuild
+++ b/system/fio/fio.SlackBuild
@@ -2,8 +2,8 @@
# Slackware build script for fio
-# Copyright 2012 Binh Nguyen <binhvng@gmail.com>
-# Copyright 2015-2016 Brenton Earl <brent@exitstatusone.com>
+# Copyright 2012 Binh Nguyen <binhvng@gmail.com>
+# Copyright 2015-2017 Brenton Earl <brent@exitstatusone.com>
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +24,7 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=fio
-VERSION=${VERSION:-2.15}
+VERSION=${VERSION:-2.18}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -55,7 +55,7 @@ else
LIBDIRSUFFIX=""
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -70,12 +70,19 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-make install DESTDIR=$PKG prefix="/usr"
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix="/usr" \
+ --extra-cflags="$CFLAGS"
+
+make
+make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
cp -a COPYING HOWTO README REPORTING-BUGS examples/ $PKG/usr/doc/$PRGNAM-$VERSION